PHPExcel_Calculation

# Class: PHPExcel_Calculation_TextData

Source Location: /PHPExcel/Calculation/TextData.php

### Class Overview

PHPExcel_Calculation_TextData

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- ASCIICODE
- CHARACTER
- CONCATENATE
- DOLLAR
- FIXEDFORMAT
- LEFT
- LOWERCASE
- MID
- PROPERCASE
- REPLACE
- RETURNSTRING
- RIGHT
- SEARCHINSENSITIVE
- SEARCHSENSITIVE
- STRINGLENGTH
- SUBSTITUTE
- TEXTFORMAT
- TRIMNONPRINTABLE
- TRIMSPACES
- UPPERCASE

### Class Details

[line 46]
PHPExcel_Calculation_TextData

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method ASCIICODE [line 139]

`static int ASCIICODE( $characters, string $character)`

ASCIICODE

#### Tags:

access: | public

#### Parameters:

string | $character | Value
| $characters |

[ Top ]

### static method CHARACTER [line 74]

`static int CHARACTER( string $character)`

CHARACTER

#### Tags:

access: | public

#### Parameters:

string | $character | Value

[ Top ]

### static method CONCATENATE [line 167]

`static string CONCATENATE( )`

CONCATENATE

#### Tags:

access: | public

[ Top ]

### static method DOLLAR [line 201]

`static string DOLLAR( [float $value = 0], [int $decimals = 2])`

DOLLAR

This function converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00)..

#### Tags:

access: | public

#### Parameters:

float | $value | The value to format
int | $decimals | The number of digits to display to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, it is assumed to be 2

[ Top ]

### static method FIXEDFORMAT [line 302]

`static boolean FIXEDFORMAT( mixed $value, [ $decimals = 2], [ $no_commas = FALSE])`

FIXEDFORMAT

#### Tags:

access: | public

#### Parameters:

mixed | $value | Value to check
| $decimals |
| $no_commas |

[ Top ]

### static method LEFT [line 330]

`static string LEFT( [string $value = ''], [int $chars = 1])`

LEFT

#### Tags:

access: | public

#### Parameters:

string | $value | Value
int | $chars | Number of characters

[ Top ]

### static method LOWERCASE [line 436]

`static string LOWERCASE( string $mixedCaseString)`

LOWERCASE

Converts a string value to upper case.

#### Tags:

access: | public

#### Parameters:

string | $mixedCaseString |

[ Top ]

### static method MID [line 358]

`static string MID( [string $value = ''], [int $start = 1], [int $chars = null])`

MID

#### Tags:

access: | public

#### Parameters:

string | $value | Value
int | $start | Start character
int | $chars | Number of characters

[ Top ]

### static method PROPERCASE [line 482]

`static string PROPERCASE( string $mixedCaseString)`

PROPERCASE

Converts a string value to upper case.

#### Tags:

access: | public

#### Parameters:

string | $mixedCaseString |

[ Top ]

### static method REPLACE [line 505]

`static string REPLACE( [ $oldText = ''], [int $start = 1], [int $chars = null], $newText, string $value)`

REPLACE

#### Tags:

access: | public

#### Parameters:

string | $value | Value
int | $start | Start character
int | $chars | Number of characters
| $oldText |
| $newText |

[ Top ]

### static method RETURNSTRING [line 571]

`static boolean RETURNSTRING( [ $testValue = ''], mixed $value)`

RETURNSTRING

#### Tags:

access: | public

#### Parameters:

mixed | $value | Value to check
| $testValue |

[ Top ]

### static method RIGHT [line 386]

`static string RIGHT( [string $value = ''], [int $chars = 1])`

RIGHT

#### Tags:

access: | public

#### Parameters:

string | $value | Value
int | $chars | Number of characters

[ Top ]

### static method SEARCHINSENSITIVE [line 268]

`static string SEARCHINSENSITIVE( string $needle, string $haystack, [int $offset = 1])`

SEARCHINSENSITIVE

#### Tags:

access: | public

#### Parameters:

string | $needle | The string to look for
string | $haystack | The string in which to look
int | $offset | Offset within $haystack

[ Top ]

### static method SEARCHSENSITIVE [line 232]

`static string SEARCHSENSITIVE( string $needle, string $haystack, [int $offset = 1])`

SEARCHSENSITIVE

#### Tags:

access: | public

#### Parameters:

string | $needle | The string to look for
string | $haystack | The string in which to look
int | $offset | Offset within $haystack

[ Top ]

### static method STRINGLENGTH [line 413]

`static string STRINGLENGTH( [string $value = ''], int $chars)`

STRINGLENGTH

#### Tags:

access: | public

#### Parameters:

string | $value | Value
int | $chars | Number of characters

[ Top ]

### static method SUBSTITUTE [line 527]

`static string SUBSTITUTE( [string $text = ''], [string $fromText = ''], [string $toText = ''], [integer $instance = 0])`

SUBSTITUTE

#### Tags:

access: | public

#### Parameters:

string | $text | Value
string | $fromText | From Value
string | $toText | To Value
integer | $instance | Instance Number

[ Top ]

### static method TEXTFORMAT [line 587]

`static boolean TEXTFORMAT( mixed $value, $format)`

TEXTFORMAT

#### Tags:

access: | public

#### Parameters:

mixed | $value | Value to check
| $format |

[ Top ]

### static method TRIMNONPRINTABLE [line 95]

`static string TRIMNONPRINTABLE( [ $stringValue = ''], mixed $value)`

TRIMNONPRINTABLE

#### Tags:

access: | public

#### Parameters:

mixed | $value | Value to check
| $stringValue |

[ Top ]

### static method TRIMSPACES [line 119]

`static string TRIMSPACES( [ $stringValue = ''], mixed $value)`

TRIMSPACES

#### Tags:

access: | public

#### Parameters:

mixed | $value | Value to check
| $stringValue |

[ Top ]

### static method UPPERCASE [line 459]

`static string UPPERCASE( string $mixedCaseString)`

UPPERCASE

Converts a string value to upper case.

#### Tags:

access: | public

#### Parameters:

string | $mixedCaseString |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:10 +0200 by phpDocumentor 1.4.4